Bug 1205096 - [abrt] pcmanfm-qt: fm_file_info_ref(): pcmanfm-qt killed by SIGSEGV
Summary: [abrt] pcmanfm-qt: fm_file_info_ref(): pcmanfm-qt killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1380246
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:991497bdddf7c47171ddf5b0173...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-24 08:48 UTC by vikram goyal
Modified: 2016-09-29 16:46 UTC (History)
4 users (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (38.32 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: core_backtrace (19.08 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: dso_list (9.84 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: environ (1.81 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: maps (55.59 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: open_fds (1.57 KB, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2015-03-24 08:48 UTC, vikram goyal
no flags Details

Description vikram goyal 2015-03-24 08:48:34 UTC
Description of problem:

in LxQt i was trying to open home folder from desktop through its icon.
It said "Operation not supported" I then right clicked it & clicked 'Open with other app'
there i selected custom command & typed /bin/dolphin

After that I clicked again the icon when it crashed.

Version-Release number of selected component:
pcmanfm-qt-0.9.0-7.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        pcmanfm-qt --desktop --profile=lxqt
crash_function: fm_file_info_ref
executable:     /usr/bin/pcmanfm-qt
kernel:         3.19.1-201.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sat 2014-12-06 10:18:27 IST, end at Tue 2015-03-24 13:18:48 IST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_file_info_ref at base/fm-file-info.c:855
 #1 _fetch_file_info_for_shortcut at base/fm-file-launcher.c:146
 #2 fm_launch_files at base/fm-file-launcher.c:262
 #3 Fm::FileLauncher::launchFiles at /usr/src/debug/pcmanfm-qt-0.9.0/libfm-qt/filelauncher.cpp:51
 #4 Fm::FolderView::onFileClicked at /usr/src/debug/pcmanfm-qt-0.9.0/libfm-qt/folderview.cpp:890
 #5 call at ../../src/corelib/kernel/qobject_impl.h:124
 #6 QMetaObject::activate at kernel/qobject.cpp:3702
 #8 Fm::FolderView::clicked at /usr/src/debug/pcmanfm-qt-0.9.0/x86_64-redhat-linux-gnu/libfm-qt/moc_folderview.cpp:181
 #9 Fm::FolderView::onItemActivated at /usr/src/debug/pcmanfm-qt-0.9.0/libfm-qt/folderview.cpp:387
 #10 call<QtPrivate::List<QModelIndex const&, void>, void> at /usr/include/qt5/QtCore/qobjectdefs_impl.h:145

Comment 1 vikram goyal 2015-03-24 08:48:38 UTC
Created attachment 1005740 [details]
File: backtrace

Comment 2 vikram goyal 2015-03-24 08:48:40 UTC
Created attachment 1005741 [details]
File: cgroup

Comment 3 vikram goyal 2015-03-24 08:48:42 UTC
Created attachment 1005742 [details]
File: core_backtrace

Comment 4 vikram goyal 2015-03-24 08:48:44 UTC
Created attachment 1005743 [details]
File: dso_list

Comment 5 vikram goyal 2015-03-24 08:48:46 UTC
Created attachment 1005744 [details]
File: environ

Comment 6 vikram goyal 2015-03-24 08:48:47 UTC
Created attachment 1005745 [details]
File: exploitable

Comment 7 vikram goyal 2015-03-24 08:48:49 UTC
Created attachment 1005746 [details]
File: limits

Comment 8 vikram goyal 2015-03-24 08:48:51 UTC
Created attachment 1005747 [details]
File: maps

Comment 9 vikram goyal 2015-03-24 08:48:53 UTC
Created attachment 1005748 [details]
File: open_fds

Comment 10 vikram goyal 2015-03-24 08:48:55 UTC
Created attachment 1005749 [details]
File: proc_pid_status

Comment 11 Helio Chissini de Castro 2015-03-24 13:06:10 UTC
Is it possible to you attach the .desktop file that crashed pcman ?

Thanks

Comment 12 Fedora Update System 2015-05-21 16:12:17 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 13 Fedora Update System 2015-05-21 16:13:17 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 14 Fedora Update System 2015-05-21 16:13:56 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 15 Fedora Update System 2015-05-22 17:55:32 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-06-10 19:12:48 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-06-10 19:13:07 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:14:20 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Raphael Groner 2016-09-29 16:46:50 UTC

*** This bug has been marked as a duplicate of bug 1380246 ***


Note You need to log in before you can comment on or make changes to this bug.